package com.bocloud.cmp.model.jumpserver;

/**
 * @description:
 * @author: Li Yaohui
 * @since: 2021/5/11 3:41 下午
 */
public class CmdTemplateRule {
    /**
     * 命令规则ID，新增时可不提供
     */
    private Long id;
    /**
     * 需要控制的指令（以\n分隔）
     */
    private String commands;
    /**
     * 执行动作。accept - 允许(缺省值)，deny - 禁止，kill - 终止，confirm - 复核 ，notice - 通知
     */
    private String action;
    /**
     * 命令规则所属模板,主要是id 必须
     */
    private CmdTemplate template;
    /**
     * 优先级，如果不传，则自动将优先级设置为低
     */
    private Integer priority;
    /**
     * cmp数据库模板id
     */
    private Long templateId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCommands(String commands) {
        this.commands = commands;
    }

    public String getCommands() {
        return commands;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getAction() {
        return action;
    }

    public void setTemplate(CmdTemplate template) {
        this.template = template;
    }

    public CmdTemplate getTemplate() {
        return template;
    }

    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    public Integer getPriority() {
        return priority;
    }

    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    public Long getTemplateId() {
        return templateId;
    }
}
